Bug Hunting Session
Bug 104871 - UI improvement in Find & Replace dialog "Search results" GUI
Summary: UI improvement in Find & Replace dialog "Search results" GUI
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2016-12-22 20:22 UTC by Luuk
Modified: 2018-03-19 15:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luuk 2016-12-22 20:22:57 UTC
When doing 'Find All', a box is show with 'Search Results'

When hitting the 'Replace' button, the 'Search Results' are not updated to show the new value.

- Suggestion: 1) change value in 'Search Results' too, or add a button 'Undo'

P.S. This box should never appear when doing 'Replace All' (see bug #83614)
-
Comment 1 V Stuart Foote 2016-12-23 04:16:26 UTC
As active selection from the "Search Results" report advances through the found cell results it allows a replacement one at a time. The "Find Next" & "Replace" actions on the dialog are serial. 

But as noted when entries are changed--the "Search Results" report GUI is not updated. And likewise if the Undo (from Standard toolbar) is applied--cell is not updated then on the results report.

It would be helpful if the result would refresh as changes are made for the cell. 

As implemented now -- following a "Find All" doing a "Replace All" will regenerate the "Search Results" report ending with the same selected cells a the original find. But the report is not regenerated if the replacement is undone, seems it should refresh for that action as well.

As to not showing the "Search Results" when a Replace all is used, it is actually quite handy to use the GUI from the results to reposition the sheet back to the starting cell of the replacements. It is useful, so see no reason to change that.
Comment 2 V Stuart Foote 2016-12-23 13:21:00 UTC
Some usage issues with the current "Search results" UI are presented in the see also bug 83614
Comment 3 Luuk 2018-03-18 15:29:19 UTC
This can be set to CLOSED, 
because the UI has changed (comparing 6.0.1.1 to the reported version), 
this 'improvement' is no longer valid.
Comment 4 Xisco Faulí 2018-03-19 15:25:36 UTC
(In reply to Luuk from comment #3)
> This can be set to CLOSED, 
> because the UI has changed (comparing 6.0.1.1 to the reported version), 
> this 'improvement' is no longer valid.

Closing as RESOLVED WONTFIX then